# Class TGetTableTypesReq

java.lang.Object
com.databricks.jdbc.model.client.thrift.generated.TGetTableTypesReq

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TGetTableTypesReq>`, `org.apache.thrift.TBase<TGetTableTypesReq,TGetTableTypesReq._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TGetTableTypesReq extends Object implements org.apache.thrift.TBase<TGetTableTypesReq,TGetTableTypesReq._Fields>, Serializable, Cloneable, Comparable<TGetTableTypesReq>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TGetTableTypesReq._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`TSparkGetDirectResults`
`getDirectResults`
`static final Map<TGetTableTypesReq._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`
`boolean`
`runAsync`
`TSessionHandle`
`sessionHandle`

## Constructor Summary

Constructors
Constructor
Description
`TGetTableTypesReq()`
`TGetTableTypesReq(TGetTableTypesReq other)`
Performs a deep copy on other.
`TGetTableTypesReq(TSessionHandle sessionHandle)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`int`
`compareTo(TGetTableTypesReq other)`
`TGetTableTypesReq`
`deepCopy()`
`boolean`
`equals(TGetTableTypesReq that)`
`boolean`
`equals(Object that)`
`TGetTableTypesReq._Fields`
`fieldForId(int fieldId)`
`Object`
`getFieldValue(TGetTableTypesReq._Fields field)`
`TSparkGetDirectResults`
`getGetDirectResults()`
`TSessionHandle`
`getSessionHandle()`
`int`
`hashCode()`
`boolean`
`isRunAsync()`
`boolean`
`isSet(TGetTableTypesReq._Fields field)`
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean`
`isSetGetDirectResults()`
Returns true if field getDirectResults is set (has been assigned a value) and false otherwise
`boolean`
`isSetRunAsync()`
Returns true if field runAsync is set (has been assigned a value) and false otherwise
`boolean`
`isSetSessionHandle()`
Returns true if field sessionHandle is set (has been assigned a value) and false otherwise
`void`
`read(org.apache.thrift.protocol.TProtocol iprot)`
`void`
`setFieldValue(TGetTableTypesReq._Fields field, Object value)`
`TGetTableTypesReq`
`setGetDirectResults(TSparkGetDirectResults getDirectResults)`
`void`
`setGetDirectResultsIsSet(boolean value)`
`TGetTableTypesReq`
`setRunAsync(boolean runAsync)`
`void`
`setRunAsyncIsSet(boolean value)`
`TGetTableTypesReq`
`setSessionHandle(TSessionHandle sessionHandle)`
`void`
`setSessionHandleIsSet(boolean value)`
`String`
`toString()`
`void`
`unsetGetDirectResults()`
`void`
`unsetRunAsync()`
`void`
`unsetSessionHandle()`
`void`
`validate()`
`void`
`write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### sessionHandle

public TSessionHandle sessionHandle

### getDirectResults

public TSparkGetDirectResults getDirectResults

### runAsync

public boolean runAsync

### metaDataMap

public static final Map<TGetTableTypesReq._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### TGetTableTypesReq

public TGetTableTypesReq()

### TGetTableTypesReq

public TGetTableTypesReq(TSessionHandle sessionHandle)

### TGetTableTypesReq

public TGetTableTypesReq(TGetTableTypesReq other)
Performs a deep copy on other.

## Method Details

### deepCopy

public TGetTableTypesReq deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TGetTableTypesReq,TGetTableTypesReq._Fields>`

### clear

public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TGetTableTypesReq,TGetTableTypesReq._Fields>`

### getSessionHandle

public TSessionHandle getSessionHandle()

### setSessionHandle

public TGetTableTypesReq setSessionHandle(TSessionHandle sessionHandle)

### unsetSessionHandle

public void unsetSessionHandle()

### isSetSessionHandle

public boolean isSetSessionHandle()
Returns true if field sessionHandle is set (has been assigned a value) and false otherwise

### setSessionHandleIsSet

public void setSessionHandleIsSet(boolean value)

### getGetDirectResults

public TSparkGetDirectResults getGetDirectResults()

### setGetDirectResults

public TGetTableTypesReq setGetDirectResults(TSparkGetDirectResults getDirectResults)

### unsetGetDirectResults

public void unsetGetDirectResults()

### isSetGetDirectResults

public boolean isSetGetDirectResults()
Returns true if field getDirectResults is set (has been assigned a value) and false otherwise

### setGetDirectResultsIsSet

public void setGetDirectResultsIsSet(boolean value)

### isRunAsync

public boolean isRunAsync()

### setRunAsync

public TGetTableTypesReq setRunAsync(boolean runAsync)

### unsetRunAsync

public void unsetRunAsync()

### isSetRunAsync

public boolean isSetRunAsync()
Returns true if field runAsync is set (has been assigned a value) and false otherwise

### setRunAsyncIsSet

public void setRunAsyncIsSet(boolean value)

### setFieldValue

public void setFieldValue(TGetTableTypesReq._Fields field, Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TGetTableTypesReq,TGetTableTypesReq._Fields>`

### getFieldValue

public Object getFieldValue(TGetTableTypesReq._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TGetTableTypesReq,TGetTableTypesReq._Fields>`

### isSet

public boolean isSet(TGetTableTypesReq._Fields field)
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TGetTableTypesReq,TGetTableTypesReq._Fields>`

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TGetTableTypesReq that)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(TGetTableTypesReq other)

Specified by:
  `compareTo` in interface `Comparable<TGetTableTypesReq>`

### fieldForId

public TGetTableTypesReq._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TGetTableTypesReq,TGetTableTypesReq._Fields>`

### read

public void read(org.apache.thrift.protocol.TProtocol iprot) throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### write

public void write(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### validate

public void validate() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`